CUDNN Frontend API 8.3.0

Public Types | Static Public Attributes | List of all members
nlohmann::detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > >:

## Public Types
using | object_t = typename BasicJsonType::object_t

## Static Public Attributes
static constexpr bool | value

## Detailed Description

### template<typename BasicJsonType, typename CompatibleObjectType>
struct nlohmann::detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > >

Definition at line 3627 of file json.hpp.

## Member Typedef Documentation

## ◆ object_t

template<typename BasicJsonType , typename CompatibleObjectType >

using nlohmann::detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > >::object_t = typename BasicJsonType::object_t

Definition at line 3632 of file json.hpp.

## Member Data Documentation

## ◆ value

template<typename BasicJsonType , typename CompatibleObjectType >

constexpr bool nlohmann::detail::is_compatible_object_type_impl< BasicJsonType, CompatibleObjectType, enable_if_t< is_detected< mapped_type_t, CompatibleObjectType >::value &&is_detected< key_type_t, CompatibleObjectType >::value > >::value
| static

Initial value:
=
is_constructible<typename object_t::key_type,
typename CompatibleObjectType::key_type>::value &&
is_constructible<typename object_t::mapped_type,
typename CompatibleObjectType::mapped_type>::value

Definition at line 3635 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp